Summary:	Experimental Compiz compositing manager plugins
Name:		compiz-plugins-experimental
Version:	0.8.18
Release:	%mkrel 4
License:	GPLv2+
Group:		System/X11
URL:		https://github.com/compiz-reloaded/compiz-plugins-experimental/
Source0:	https://github.com/compiz-reloaded/compiz-plugins-experimental/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Fix-unhandled-return-code.patch
Patch2:		0001-Fixed-compilation-with-gcc-14.patch
BuildRequires:  compiz-devel >= 1:0.8.18
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(atspi-2)
BuildRequires:	pkgconfig(bcop)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(pango)
Requires:	compiz >= 1:0.8.18

%description
Experimental Compiz compositing manager plugins.

%files -f %{name}.lang
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/earth/
%{_datadir}/compiz/elements/
%{_datadir}/compiz/fireflies/
%{_datadir}/compiz/icons/hicolor/scalable/apps/*.svg
%{_datadir}/compiz/snow/
%{_datadir}/compiz/stars/

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for Compiz Experimental Plugin Set
Group:		Development/X11
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for Compiz Experimental Plugin Set.

%files devel
%{_includedir}/compiz/*

#----------------------------------------------------------------------------

%prep
%autosetup -p1

# make autoreconf more happy
mkdir -p m4

%build
autoreconf -vfi -Im4
intltoolize --copy --force --automake
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.8.18-4.mga10
+ Revision: 2226732
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 daviddavid <daviddavid> 0.8.18-3.mga10
+ Revision: 2089453
- add uptream patches to fix compilation with gcc-14 and to
  fix unhandled return code

* Sat Apr 02 2022 umeabot <umeabot> 0.8.18-2.mga9
+ Revision: 1840957
- Mageia 9 Mass Rebuild

* Sat Apr 18 2020 wally <wally> 0.8.18-1.mga8
+ Revision: 1568953
- imported package compiz-plugins-experimental

